<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!--
	depends on NodeDeletionDao.general.dbsetup.xml

 -->
<!DOCTYPE dataset SYSTEM "../../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>

    <CORE_PARTY PARTY_ID="-1"/>
    <CORE_USER LOGIN="chef" CREATED_ON="2014-10-10" CREATED_BY="himself" PARTY_ID="-1"/>
    <CORE_GROUP/>
    <CORE_GROUP_AUTHORITY/>
    <CORE_GROUP_MEMBER/>

    <!--  ============================ attachment lists (unattached to anything) ===================== -->

    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1"   /> <!--  FOR REQ_FOLDER 1-->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-111" /> <!--  FOR REQVERSION 111 OF REQ 11-->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-112" /> <!--  FOR REQVERSION 112 OF REQ 11 -->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-121" /> <!--  FOR REQVERSION 121 OF REQ 12 -->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-3"   /> <!--  FOR REQVERSION 3 OF REQ 3   -->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-31"  /> <!--  FOR REQVERSION 31 OF REQ 31 -->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-32"  /> <!--  FOR REQVERSION 32 OF REQ 32 -->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-311" /> <!--  FOR REQVERSION 311 OF REQ 311 -->
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-123" />
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-124" />
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-125" />


    <!--  ============================ attachment_content ============================================ -->

    <ATTACHMENT_CONTENT ATTACHMENT_CONTENT_ID="-111"   /> <!--  FOR REQVERSION 111 OF REQ 11-->
    <ATTACHMENT_CONTENT ATTACHMENT_CONTENT_ID="-112"   /> <!--  FOR REQVERSION 112 OF REQ 11 -->
    <ATTACHMENT_CONTENT ATTACHMENT_CONTENT_ID="-121"   /> <!--  FOR REQVERSION 121 OF REQ 12 -->
    <ATTACHMENT_CONTENT ATTACHMENT_CONTENT_ID="-123"   /> <!--  FOR REQVERSION 121 OF REQ 12 -->
    <ATTACHMENT_CONTENT ATTACHMENT_CONTENT_ID="-124"   /> <!--  FOR REQVERSION 121 OF REQ 12 -->
    <ATTACHMENT_CONTENT ATTACHMENT_CONTENT_ID="-125"   /> <!--  FOR REQVERSION 121 OF REQ 12 -->



    <!--  ============================ attachments =================================================== -->

    <ATTACHMENT ATTACHMENT_ID="-111"  NAME="reqv 111 attach"  TYPE="txt" SIZE="5" ADDED_ON="2011-08-08" CONTENT_ID="-111"  ATTACHMENT_LIST_ID="-111"  />
    <ATTACHMENT ATTACHMENT_ID="-121"  NAME="reqv 121 attach"  TYPE="txt" SIZE="5" ADDED_ON="2011-08-08" CONTENT_ID="-121"  ATTACHMENT_LIST_ID="-121"  />
    <ATTACHMENT ATTACHMENT_ID="-112"  NAME="reqv 112 attach"  TYPE="txt" SIZE="5" ADDED_ON="2011-08-08" CONTENT_ID="-112"  ATTACHMENT_LIST_ID="-112"  />
    <ATTACHMENT ATTACHMENT_ID="-123"  NAME="reqv 112 attach"  TYPE="txt" SIZE="5" ADDED_ON="2011-08-08" CONTENT_ID="-123"  ATTACHMENT_LIST_ID="-123"  />
    <ATTACHMENT ATTACHMENT_ID="-124"  NAME="reqv 112 attach"  TYPE="txt" SIZE="5" ADDED_ON="2011-08-08" CONTENT_ID="-124"  ATTACHMENT_LIST_ID="-124"  />
    <ATTACHMENT ATTACHMENT_ID="-125"  NAME="reqv 112 attach"  TYPE="txt" SIZE="5" ADDED_ON="2011-08-08" CONTENT_ID="-125"  ATTACHMENT_LIST_ID="-125"  />


    <!--  =========================== custom fields ==================================================== -->

    <CUSTOM_FIELD CODE="ss" LABEL="ss" FIELD_TYPE="CF" NAME="field 1" INPUT_TYPE="PLAIN_TEXT" CF_ID="-1"/>
    <CUSTOM_FIELD CODE="qq" LABEL="qq" FIELD_TYPE="CF" NAME="field 2" INPUT_TYPE="PLAIN_TEXT" CF_ID="-2"/>

    <!-- =============================== one project ================================================ -->

    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-987"/><TEST_CASE_LIBRARY ATTACHMENT_LIST_ID="-987" TCL_ID="-1"/>
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-989"/><REQUIREMENT_LIBRARY ATTACHMENT_LIST_ID="-989" RL_ID="-1"/>
    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-988"/><CAMPAIGN_LIBRARY ATTACHMENT_LIST_ID="-988" CL_ID="-1"/>


    <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-432"/>
    <PROJECT PROJECT_ID="-1" NAME="base project" CREATED_BY="IT" CREATED_ON="2011-08-08"
                     CL_ID="-1" RL_ID="-1" TCL_ID="-1" ATTACHMENT_LIST_ID="-432"/>

    <CUSTOM_FIELD_BINDING BOUND_ENTITY="REQUIREMENT_VERSION" CFB_ID="-1" POSITION="1" CF_ID="-1" BOUND_PROJECT_ID="-1"/>
    <CUSTOM_FIELD_BINDING BOUND_ENTITY="REQUIREMENT_VERSION" CFB_ID="-2" POSITION="2" CF_ID="-2" BOUND_PROJECT_ID="-1"/>


    <!-- ============================ nodes ================================================= -->


    <REQUIREMENT_LIBRARY_NODE RLN_ID="-1"  CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-11" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-12" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>

    <REQUIREMENT_LIBRARY_NODE RLN_ID="-3" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-31" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-32" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-311" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-13" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-14" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>
    <REQUIREMENT_LIBRARY_NODE RLN_ID="-15" CREATED_BY="IT" CREATED_ON="2011-08-08" PROJECT_ID="-1"/>


    <!-- ============================ req folder ================================================= -->

    <RESOURCE RES_ID="-1" NAME="req folder 1" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-1"/>
    <SIMPLE_RESOURCE RES_ID="-1"/>
    <REQUIREMENT_FOLDER RLN_ID="-1" RES_ID="-1"/>



    <!-- ============================ req======================================================== -->

    <REQUIREMENT RLN_ID="-11"/>

    <REQUIREMENT RLN_ID="-12"/>

    <REQUIREMENT RLN_ID="-3"/>

    <REQUIREMENT RLN_ID="-31"/>

    <REQUIREMENT RLN_ID="-32"/>

    <REQUIREMENT RLN_ID="-311"/>

    <REQUIREMENT RLN_ID="-13"/>
    <REQUIREMENT RLN_ID="-14"/>
    <REQUIREMENT RLN_ID="-15"/>

    <!-- ============================ req Versions======================================================== -->

    <RESOURCE RES_ID="-111" NAME="req V 111" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-111"/>
    <REQUIREMENT_VERSION RES_ID="-111" REQUIREMENT_ID="-11" VERSION_NUMBER="1" CRITICALITY="MINOR" REQUIREMENT_STATUS="OBSOLETE"/>

    <RESOURCE RES_ID="-112" NAME="req V 112" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-112"/>
    <REQUIREMENT_VERSION RES_ID="-112" REQUIREMENT_ID="-11" VERSION_NUMBER="2" CRITICALITY="MINOR" REQUIREMENT_STATUS="OBSOLETE"/>

    <RESOURCE RES_ID="-121" NAME="req V 121" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-121"/>
    <REQUIREMENT_VERSION RES_ID="-121" REQUIREMENT_ID="-12" CRITICALITY="MINOR" REQUIREMENT_STATUS="OBSOLETE"/>

    <RESOURCE RES_ID="-123" NAME="req V 123" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-123"/>
    <REQUIREMENT_VERSION RES_ID="-123" REQUIREMENT_ID="-13" CRITICALITY="MINOR" REQUIREMENT_STATUS="OBSOLETE"/>

    <RESOURCE RES_ID="-124" NAME="req V 124" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-124"/>
    <REQUIREMENT_VERSION RES_ID="-124" REQUIREMENT_ID="-14" CRITICALITY="MINOR" REQUIREMENT_STATUS="OBSOLETE"/>

    <RESOURCE RES_ID="-125" NAME="req V 125" CREATED_ON="2012-01-02" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-125"/>
    <REQUIREMENT_VERSION RES_ID="-125" REQUIREMENT_ID="-15" CRITICALITY="MINOR" REQUIREMENT_STATUS="OBSOLETE"/>


    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-111" CFV_ID="-1111" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-111" CFV_ID="-1112" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />

    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-112" CFV_ID="-1121" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-112" CFV_ID="-1122" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />

    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-121" CFV_ID="-1211" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-121" CFV_ID="-1212" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />



    <RESOURCE RES_ID="-3" NAME="req3 v1" CREATED_ON="2013-07-19" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-3" />
    <REQUIREMENT_VERSION RES_ID="-3" REQUIREMENT_ID="-3" VERSION_NUMBER="1" CRITICALITY="MINOR" REQUIREMENT_STATUS="UNDER_REVIEW" />

    <RESOURCE RES_ID="-31" NAME="req31 v1" CREATED_ON="2013-07-19" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-31"/>
    <REQUIREMENT_VERSION RES_ID="-31" REQUIREMENT_ID="-31" VERSION_NUMBER="1" CRITICALITY="MINOR" REQUIREMENT_STATUS="UNDER_REVIEW"/>

    <RESOURCE RES_ID="-32" NAME="possible nameclash" CREATED_ON="2013-07-19" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-32"/>
    <REQUIREMENT_VERSION RES_ID="-32" REQUIREMENT_ID="-32" CRITICALITY="MINOR" REQUIREMENT_STATUS="UNDER_REVIEW"/>

    <RESOURCE RES_ID="-311" NAME="possible nameclash" CREATED_ON="2013-07-19" CREATED_BY="DBU" ATTACHMENT_LIST_ID="-311"/>
    <REQUIREMENT_VERSION RES_ID="-311" REQUIREMENT_ID="-311" CRITICALITY="MINOR" REQUIREMENT_STATUS="UNDER_REVIEW"/>



    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-3" CFV_ID="-301" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-3" CFV_ID="-302" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />

    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-31" CFV_ID="-3101" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-31" CFV_ID="-3102" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />

    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-32" CFV_ID="-3201" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-32" CFV_ID="-3202" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />

    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-311" CFV_ID="-3111" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-1" />
    <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-311" CFV_ID="-3112" BOUND_ENTITY_TYPE="REQUIREMENT_VERSION" CFB_ID="-2" />



    <!-- ============================ 	req_relationship ================================================ -->

    <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-1" CONTENT_ORDER="0"/>
    <REQUIREMENT_LIBRARY_CONTENT LIBRARY_ID="-1" CONTENT_ID="-3" CONTENT_ORDER="1"/>


    <RLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-11" CONTENT_ORDER="0"/> <!--  TCFOLDER 1 CONTAINS R11 -->
    <RLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-12" CONTENT_ORDER="1"/> <!--  TCFOLDER 1 CONTAINS R12 -->
    <RLN_RELATIONSHIP ANCESTOR_ID="-1" DESCENDANT_ID="-13" CONTENT_ORDER="2"/> <!--  TCFOLDER 1 CONTAINS R13 -->
    <RLN_RELATIONSHIP ANCESTOR_ID="-13" DESCENDANT_ID="-14" CONTENT_ORDER="0"/>
    <RLN_RELATIONSHIP ANCESTOR_ID="-14" DESCENDANT_ID="-15" CONTENT_ORDER="0"/>

    <RLN_RELATIONSHIP ANCESTOR_ID="-3" DESCENDANT_ID="-31" CONTENT_ORDER="0"/> <!--  REQ 3 CONTAINS REQ31 -->
    <RLN_RELATIONSHIP ANCESTOR_ID="-3" DESCENDANT_ID="-32" CONTENT_ORDER="1"/> <!--  REQ 3 CONTAINS REQ32 -->
    <RLN_RELATIONSHIP ANCESTOR_ID="-31" DESCENDANT_ID="-311" CONTENT_ORDER="0"/> <!--  REQ 31 CONTAINS REQ311 -->


    <!-- ============================ 	req_audit_events ================================================ -->

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-111" REQ_VERSION_ID="-111" EVENT_DATE="2012-01-02" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-111" />

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-112" REQ_VERSION_ID="-112" EVENT_DATE="2012-01-02" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-112" />

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-121" REQ_VERSION_ID="-121" EVENT_DATE="2012-01-02" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-121" />

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-122" REQ_VERSION_ID="-121" EVENT_DATE="2012-01-03" AUTHOR="DBU"/>
    <REQUIREMENT_PROPERTY_CHANGE EVENT_ID="-122" PROPERTY_NAME=""/>

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-123" REQ_VERSION_ID="-121" EVENT_DATE="2012-01-04" AUTHOR="DBU"/>
    <REQUIREMENT_LARGE_PROPERTY_CHANGE EVENT_ID="-123" PROPERTY_NAME=""/>

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-3" REQ_VERSION_ID="-3" EVENT_DATE="2013-07-19" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-3" />

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-31" REQ_VERSION_ID="-31" EVENT_DATE="2013-07-19" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-31" />

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-32" REQ_VERSION_ID="-32" EVENT_DATE="2013-07-19" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-32" />

    <REQUIREMENT_AUDIT_EVENT EVENT_ID="-311" REQ_VERSION_ID="-311" EVENT_DATE="2013-07-19" AUTHOR="DBU"/>
    <REQUIREMENT_CREATION EVENT_ID="-311" />



    <!-- ============================ milestones ================================================= -->

    <MILESTONE MILESTONE_ID="-1" USER_ID="-1" CREATED_ON="2014-10-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="IN_PROGRESS" LABEL="Enfer" END_DATE="2014-10-10"/>
    <MILESTONE MILESTONE_ID="-2" USER_ID="-1" CREATED_ON="2014-10-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="IN_PROGRESS" LABEL="Damnation" END_DATE="2014-10-11"/>
    <MILESTONE MILESTONE_ID="-3" USER_ID="-1" CREATED_ON="2014-10-10" CREATED_BY="admin" M_RANGE="GLOBAL" STATUS="LOCKED" LABEL="Malédiction" END_DATE="2014-10-11"/>

    <MILESTONE_BINDING_PERIMETER PROJECT_ID="-1" MILESTONE_ID="-1"/>
    <MILESTONE_BINDING_PERIMETER PROJECT_ID="-1" MILESTONE_ID="-2"/>
    <MILESTONE_BINDING_PERIMETER PROJECT_ID="-1" MILESTONE_ID="-3"/>

    <MILESTONE_BINDING PROJECT_ID="-1" MILESTONE_ID="-1"/>
    <MILESTONE_BINDING PROJECT_ID="-1" MILESTONE_ID="-2"/>
    <MILESTONE_BINDING PROJECT_ID="-1" MILESTONE_ID="-3"/>

    <!--
        requirement 11 version 1 is bound to Enfer
        requirement 11 version 2 is bound to Damnation
        requirement 12 version 1 is bound to Enfer
        requirement 13 version 1 is bound to Enfer, Damnation
        requirement 14 version 1 is bound to Enfer, Malediction(locked)
        requirement 15 version 1 is bound to Malediction(locked)
    -->


    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-111" MILESTONE_ID="-1" />

    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-112" MILESTONE_ID="-2" />

    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-121" MILESTONE_ID="-1" />

    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-123" MILESTONE_ID="-1" />
    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-123" MILESTONE_ID="-2" />

    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-124" MILESTONE_ID="-1" />
    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-124" MILESTONE_ID="-3" />

    <MILESTONE_REQ_VERSION REQ_VERSION_ID="-125" MILESTONE_ID="-3" />


</dataset>
